Show: Inherited Protected Private Deprecated

# CKEDITOR.plugins.ae_richcombobridge Class

Defined in: `src/ui/react/src/uibridge/richcombo.jsx:200`

CKEditor plugin that bridges the support offered by CKEditor RichCombo plugin. It takes over the responsibility of registering and creating rich combo elements via:

- editor.ui.addRichCombo(name, definition)
- editor.ui.add(name, CKEDITOR.UI_RICHCOMBO, definition)

## Constructor

### `CKEDITOR.plugins.ae_richcombobridge`

()

Defined in `src/ui/react/src/uibridge/richcombo.jsx:200`

## Index

### Methods

- generateRichComboBridge
- init

## Methods

### `generateRichComboBridge`

(

- `richComboName`
- `richComboDefinition`

)
Object private

Defined in `src/ui/react/src/uibridge/richcombo.jsx:34`

Generates a RichComboBridge React class for a given richcombo definition if it has not been already created based on the richcombo name and definition.

#### Parameters:

- `richComboName` String

  The rich combo name

- `richComboDefinition` Object

  The rich combo definition

#### Returns:

Object:

The generated or already existing React RichCombo Class

### `init`

(

- `editor`

)

Defined in `src/ui/react/src/uibridge/richcombo.jsx:213`

Set the add handler for UI_RICHCOMBO to our own. We do this in the init phase to override the one in the original plugin in case it's present

#### Parameters:

- `editor` Object

  The CKEditor instance being initialized